aboutsummaryrefslogtreecommitdiffstats
path: root/main/newt/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-10-30 09:45:05 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-10-30 09:45:05 +0000
commitff35f5f1b203c836c794882b9952968f9a7dfbf9 (patch)
tree1a67e5308a7be81d147f3037344babc25b551c2d /main/newt/APKBUILD
parent6edee9a7fb9dadd2840187e8bd0096f95fbcb6e8 (diff)
downloadaports-ff35f5f1b203c836c794882b9952968f9a7dfbf9.tar.gz
aports-ff35f5f1b203c836c794882b9952968f9a7dfbf9.tar.bz2
aports-ff35f5f1b203c836c794882b9952968f9a7dfbf9.tar.xz
main/newt: upgrade to 0.52.10
Diffstat (limited to 'main/newt/APKBUILD')
-rw-r--r--main/newt/APKBUILD23
1 files changed, 15 insertions, 8 deletions
diff --git a/main/newt/APKBUILD b/main/newt/APKBUILD
index dc81b8b670..6f471b17a2 100644
--- a/main/newt/APKBUILD
+++ b/main/newt/APKBUILD
@@ -1,18 +1,18 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=newt
-pkgver=0.52.8
+pkgver=0.52.10
pkgrel=0
pkgdesc="Redhat's Newt windowing toolkit development files"
-url="http://www.redhat.com/"
+url="https://fedorahosted.org/newt/"
license="LGPL-2"
-depends="uclibc slang popt ncurses"
-makedepends="slang-dev popt-dev python-dev ncurses-dev"
+depends=
+makedepends="slang-dev popt-dev python-dev ncurses-dev wget"
subpackages="$pkgname-dev $pkgname-doc"
-source="http://distfiles.gentoo.org/distfiles/$pkgname-$pkgver.tar.gz
+source="https://fedorahosted.org/releases/n/e/newt/newt-$pkgver.tar.gz
$pkgname-0.52.7-notcl.patch
"
-build() {
+prepare() {
cd "$srcdir"/$pkgname-$pkgver
for i in ../*.patch; do
msg "Applying $i..."
@@ -21,15 +21,22 @@ build() {
sed -i -e 's:-lslang:-lslang -lncurses:g' \
-e 's:instroot:DESTDIR:g' Makefile.in || return 1
+}
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
./configure --prefix=/usr \
--without-gpm \
--without-tcl \
--disable-nls
- make -j1 RPM_OPT_FLAGS="$CFLAGS" || return 1
+ make RPM_OPT_FLAGS="$CFLAGS" || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
# TODO: fix the make install target to not try install po files
make -j1 DESTDIR="$pkgdir" prefix="/usr" RPM_OPT_FLAGS="ERROR" install \
|| true
}
-md5sums="0daef93590e9b6fd3419c871e75f9fa7 newt-0.52.8.tar.gz
+md5sums="bcbcc87ec19ba37d34f819209afa2e15 newt-0.52.10.tar.gz
6780156f3b66a3f05efe1ee821617031 newt-0.52.7-notcl.patch"